<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_162) on Thu May 10 14:42:23 CEST 2018 -->
<title>Field</title>
<meta name="date" content="2018-05-10">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Field";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../geosweep/board/Board.html" title="class in geosweep.board"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../index.html?geosweep/board/Field.html" target="_top">Frames</a></li>
<li><a href="Field.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">geosweep.board</div>
<h2 title="Class Field" class="title">Class Field</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>geosweep.board.Field</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">Field</span>
extends java.lang.Object</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../geosweep/board/Field.html#bomb">bomb</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../geosweep/board/Field.html#EXPLODED">EXPLODED</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../geosweep/board/Field.html#HIDDEN">HIDDEN</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../geosweep/board/Field.html#MARKED">MARKED</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../geosweep/board/Field.html#OUTSIDE">OUTSIDE</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../geosweep/board/Field.html#QUESTION">QUESTION</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../geosweep/board/Field.html#status">status</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../geosweep/board/Field.html#Field--">Field</a></span>()</code>
<div class="block">Empty Constructor
 Sets status to hidden and bomb to false</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../geosweep/board/Field.html#getStatus--">getStatus</a></span>()</code>
<div class="block">Returns the status of the field</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../geosweep/board/Field.html#hide--">hide</a></span>()</code>
<div class="block">hides the field</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../geosweep/board/Field.html#isBomb--">isBomb</a></span>()</code>
<div class="block">Returns if the field contains a bomb</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../geosweep/board/Field.html#isHidden--">isHidden</a></span>()</code>
<div class="block">Returns if the field is hidden, marked or question</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../geosweep/board/Field.html#isOutside--">isOutside</a></span>()</code>
<div class="block">Returns if the field is an outside field</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../geosweep/board/Field.html#setBomb-boolean-">setBomb</a></span>(boolean&nbsp;bomb)</code>
<div class="block">Changes if the field contains a bomb</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../geosweep/board/Field.html#setStatus-int-">setStatus</a></span>(int&nbsp;status)</code>
<div class="block">Changes the status of the Field</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../geosweep/board/Field.html#switchStatus--">switchStatus</a></span>()</code>
<div class="block">switches the status, from hidden to marked,
 from marked to questino or from question to hidden
 otherwise nothing happens</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../geosweep/board/Field.html#toString--">toString</a></span>()</code>
<div class="block">Returns a string interpretation of the field</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="bomb">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>bomb</h4>
<pre>private&nbsp;boolean bomb</pre>
</li>
</ul>
<a name="status">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>status</h4>
<pre>private&nbsp;int status</pre>
</li>
</ul>
<a name="HIDDEN">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HIDDEN</h4>
<pre>public static final&nbsp;int HIDDEN</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../constant-values.html#geosweep.board.Field.HIDDEN">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="MARKED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>MARKED</h4>
<pre>public static final&nbsp;int MARKED</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../constant-values.html#geosweep.board.Field.MARKED">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="QUESTION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>QUESTION</h4>
<pre>public static final&nbsp;int QUESTION</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../constant-values.html#geosweep.board.Field.QUESTION">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="EXPLODED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>EXPLODED</h4>
<pre>public static final&nbsp;int EXPLODED</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../constant-values.html#geosweep.board.Field.EXPLODED">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="OUTSIDE">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>OUTSIDE</h4>
<pre>public static final&nbsp;int OUTSIDE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../constant-values.html#geosweep.board.Field.OUTSIDE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Field--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Field</h4>
<pre>public&nbsp;Field()</pre>
<div class="block">Empty Constructor
 Sets status to hidden and bomb to false</div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="hide--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>hide</h4>
<pre>public&nbsp;void&nbsp;hide()</pre>
<div class="block">hides the field</div>
</li>
</ul>
<a name="isOutside--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isOutside</h4>
<pre>public&nbsp;boolean&nbsp;isOutside()</pre>
<div class="block">Returns if the field is an outside field</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>boolean if it is outside</dd>
</dl>
</li>
</ul>
<a name="isBomb--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isBomb</h4>
<pre>public&nbsp;boolean&nbsp;isBomb()</pre>
<div class="block">Returns if the field contains a bomb</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>boolean if this Field is a bomb</dd>
</dl>
</li>
</ul>
<a name="switchStatus--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>switchStatus</h4>
<pre>public&nbsp;void&nbsp;switchStatus()</pre>
<div class="block">switches the status, from hidden to marked,
 from marked to questino or from question to hidden
 otherwise nothing happens</div>
</li>
</ul>
<a name="getStatus--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getStatus</h4>
<pre>public&nbsp;int&nbsp;getStatus()</pre>
<div class="block">Returns the status of the field</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>status of the field</dd>
</dl>
</li>
</ul>
<a name="isHidden--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isHidden</h4>
<pre>public&nbsp;boolean&nbsp;isHidden()</pre>
<div class="block">Returns if the field is hidden, marked or question</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>boolean if the field is hidden, marked or question</dd>
</dl>
</li>
</ul>
<a name="setStatus-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setStatus</h4>
<pre>public&nbsp;void&nbsp;setStatus(int&nbsp;status)</pre>
<div class="block">Changes the status of the Field</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>status</code> - new status</dd>
</dl>
</li>
</ul>
<a name="setBomb-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setBomb</h4>
<pre>public&nbsp;void&nbsp;setBomb(boolean&nbsp;bomb)</pre>
<div class="block">Changes if the field contains a bomb</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>bomb</code> - boolean if the field contains a bomb</dd>
</dl>
</li>
</ul>
<a name="toString--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>toString</h4>
<pre>public&nbsp;java.lang.String&nbsp;toString()</pre>
<div class="block">Returns a string interpretation of the field</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>toString</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>field as a string</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../geosweep/board/Board.html" title="class in geosweep.board"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../index.html?geosweep/board/Field.html" target="_top">Frames</a></li>
<li><a href="Field.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
